Skip to content
Permalink
Browse files

fix buster build with PDAL 1.8 (first PDAL version with

pdal::Config::fullVersionString is 1.7 not 2)
  • Loading branch information
jef-n committed Nov 16, 2020
1 parent 9abe7d1 commit d6647b7d635737b20ba0c2a9af27c61d990f7c8d
Showing with 2 additions and 2 deletions.
  1. +1 −1 src/app/qgisapp.cpp
  2. +1 −1 src/core/processing/qgsprocessingfeedback.cpp
@@ -5326,7 +5326,7 @@ void QgisApp::about()

#ifdef HAVE_PDAL
versionString += QStringLiteral( "<td>%1</td><td>%2</td>" ).arg( tr( "Compiled against PDAL" ), PDAL_VERSION );
#if PDAL_VERSION_MAJOR_INT >= 2
#if PDAL_VERSION_MAJOR_INT > 1 || (PDAL_VERSION_MAJOR_INT == 1 && PDAL_VERSION_MINOR_INT >= 7)
versionString += QStringLiteral( "<td>%1</td><td>%2</td>" ).arg( tr( "Running against PDAL" ) ).arg( QString::fromStdString( pdal::Config::fullVersionString() ) );
#else
versionString += QStringLiteral( "<td>%1</td><td>%2</td>" ).arg( tr( "Running against PDAL" ) ).arg( QString::fromStdString( pdal::GetFullVersionString() ) );
@@ -104,7 +104,7 @@ void QgsProcessingFeedback::pushVersionInfo( const QgsProcessingProvider *provid
#endif

#ifdef HAVE_PDAL
#if PDAL_VERSION_MAJOR_INT >= 2
#if PDAL_VERSION_MAJOR_INT > 1 || (PDAL_VERSION_MAJOR_INT == 1 && PDAL_VERSION_MINOR_INT >= 7)
pushDebugInfo( tr( "PDAL version: %1" ).arg( QString::fromStdString( pdal::Config::fullVersionString() ) ) );
#else
pushDebugInfo( tr( "PDAL version: %1" ).arg( QString::fromStdString( pdal::GetFullVersionString() ) ) );

0 comments on commit d6647b7

Please sign in to comment.
You can’t perform that action at this time.